> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Session Audit

> Return the audit trail for this playground session.



## OpenAPI

````yaml /api-reference/openapi.json get /api/playground/sessions/{session_id}/audit
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/playground/sessions/{session_id}/audit:
    get:
      tags:
        - playground-integrations
      summary: Get Session Audit
      description: Return the audit trail for this playground session.
      operationId: get_session_audit_api_playground_sessions__session_id__audit_get
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            title: Session Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 50
            title: Limit
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionAuditResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SessionAuditResponse:
      properties:
        session_id:
          type: string
          title: Session Id
        total:
          type: integer
          title: Total
        items:
          items:
            $ref: '#/components/schemas/SessionAuditItem'
          type: array
          title: Items
          default: []
      type: object
      required:
        - session_id
        - total
      title: SessionAuditResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SessionAuditItem:
      properties:
        uuid:
          type: string
          title: Uuid
        event_type:
          type: string
          title: Event Type
        summary:
          type: string
          title: Summary
        created_at:
          type: string
          title: Created At
        actor:
          anyOf:
            - type: string
            - type: 'null'
          title: Actor
        severity:
          anyOf:
            - type: string
            - type: 'null'
          title: Severity
        metadata:
          anyOf:
            - type: object
            - type: 'null'
          title: Metadata
      type: object
      required:
        - uuid
        - event_type
        - summary
        - created_at
      title: SessionAuditItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````